@mixin make-bg-position($s) {
    #{$s}bg-{
        &center{
            background-position: center;
        }
        &t{
            background-position: top;
        }
        &r{
            background-position: right;

            &-t{
                background-position: right top;
            }
            &-b{
                background-position: right bottom;
            }
        }
        &b{
            background-position: bottom;
        }
        &l{
            background-position: left;

            &-t{
                background-position: left top;
            }
            &-b{
                background-position: left bottom;
            }
        }
    }
}